package com.hai.model;

import com.hai.entity.OutRechargeOrder;

import java.math.BigDecimal;
import java.util.Date;

public class OutRechargeOrderModel extends OutRechargeOrder {

    private String orderNo;
    private String userName;
    private String userPhone;
    private String rechargeModelName;
    private String rechargeContent;
    private String rechargeName;
    private String remarks;
    private String payTypeName;
    private BigDecimal orderPrice;
    private BigDecimal payPrice;
    private BigDecimal payRealPrice;
    private String statusName;
    private Date createTime;
    private Date payTime;
    private Date cancelTime;
    private Date finishTime;
    private Date refundTime;
    private BigDecimal refundFee;
    private String outRefundNo;
    private String refundId;
    private String cardNo;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getRechargeModelName() {
        return rechargeModelName;
    }

    public void setRechargeModelName(String rechargeModelName) {
        this.rechargeModelName = rechargeModelName;
    }

    public String getRechargeContent() {
        return rechargeContent;
    }

    public void setRechargeContent(String rechargeContent) {
        this.rechargeContent = rechargeContent;
    }

    public String getRechargeName() {
        return rechargeName;
    }

    public void setRechargeName(String rechargeName) {
        this.rechargeName = rechargeName;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getPayTypeName() {
        return payTypeName;
    }

    public void setPayTypeName(String payTypeName) {
        this.payTypeName = payTypeName;
    }

    public BigDecimal getOrderPrice() {
        return orderPrice;
    }

    public void setOrderPrice(BigDecimal orderPrice) {
        this.orderPrice = orderPrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public BigDecimal getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(BigDecimal refundFee) {
        this.refundFee = refundFee;
    }

    public String getOutRefundNo() {
        return outRefundNo;
    }

    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    public String getRefundId() {
        return refundId;
    }

    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }
}
